Package it.ernytech.tdlib

## Class TdApi.InlineQueryResultDocument

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.InlineQueryResult
    - - it.ernytech.tdlib.TdApi.InlineQueryResultDocument

Enclosing class:
  TdApi

    public static class TdApi.InlineQueryResultDocument
    extends TdApi.InlineQueryResult

Represents a document.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `description` Document description.
`TdApi.Document` `document` Document.
`java.lang.String` `id` Unique identifier of the query result.
`java.lang.String` `title` Document title.

### Constructor Summary

Constructors
`InlineQueryResultDocument()` Default constructor.
`InlineQueryResultDocument​(java.lang.String id, TdApi.Document document, java.lang.String title, java.lang.String description)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### id

    public java.lang.String id

Unique identifier of the query result.

#### document

    public TdApi.Document document

Document.

#### title

    public java.lang.String title

Document title.

#### description

    public java.lang.String description

Document description.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### InlineQueryResultDocument

    public InlineQueryResultDocument()

Default constructor.

#### InlineQueryResultDocument

    public InlineQueryResultDocument​(java.lang.String id,
                                     TdApi.Document document,
                                     java.lang.String title,
                                     java.lang.String description)

Constructor for initialization of all fields.

Parameters:
  `id` - Unique identifier of the query result.
  `document` - Document.
  `title` - Document title.
  `description` - Document description.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR